#!/bin/bash
#
# updateversions.sh
# Update GLASS' version in some files
#

version=`cat VERSION`

# Update the Makefiles
sed -e "s/VERSION = .*/VERSION = $version/" Makefile > Makefile~
mv Makefile~ Makefile

sed -e "s/GLASS_VERSION = .*/GLASS_VERSION = $version/" src/Makefile > src/Makefile~
mv src/Makefile~ src/Makefile

# Update the README/INSTALL
sed -e "s/glass .*[.].*[.].*/glass $version/" README > README~
mv README~ README

sed -e "s/glass .*[.].*[.].*/glass $version/" INSTALL > INSTALL~
mv INSTALL~ INSTALL


# Update the model files
cd examples/models

models=`ls *.glm`

for model in $models
do
  tmpfile=$model~
  
  sed -e "s/version.*\".*\"/version \"$version\"/" $model > $tmpfile
  mv $tmpfile $model
done
